Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> Raven's RavenNuke(tm) v2.02.02 Distro
Author Message
emmaphp
Worker
Worker


Joined: Aug 22, 2006
Posts: 192

PostPosted: Wed Apr 18, 2007 5:25 am Reply with quote

I am running Raven 7.6 PHP-Nuke

I think I installed the original Raven's RavenNuke(tm) v2.02.02 Distro release, but my first question is, 'how can I check this to be sure'?


Once I have confirmed this, I need to solve the following (small) problem.

In the admin panel of my phpbb Forums I am curently receiving the following message:


Version Information

Your installation does not seem to be up to date. Updates are available for your version of phpBB, please visit Only registered users can see links on this board! Get registered or login! to obtain the latest version of BBToNuke (the ported version of phpBB files for phpNuke).
The latest available version is phpBB 2.0.22. You are running phpBB 2.0.21.

For the latest information on updates to phpBB, why not subscribe to our mailing list.


After searching the nukeresources.com, I do see all the various upgrade version available, however I am not sure which specific version to use for upgrading my installation, which is one of the raven 'forks'.

Please can someone help with all this.

Thanks guys.
 
View user's profile Send private message
hitwalker
Sells PC To Pay For Divorce


Joined:
Posts: 5661

PostPosted: Wed Apr 18, 2007 5:41 am Reply with quote

well easiest way is probably the mainfile, on top inside you will see many lines refering to ravennuke..i think...
but you probably have that..

the forum upgrade is this one. Only registered users can see links on this board! Get registered or login!
thats newest for nuke patched.
 
View user's profile Send private message
montego
Site Admin


Joined: Aug 29, 2004
Posts: 9449
Location: Arizona

PostPosted: Wed Apr 18, 2007 7:00 am Reply with quote

Check the version field in the nuke_config table, it will tell you what version of RavenNuke(tm) you are using. The version number will be prefixed by "rn".

If you are still back on 2.02.02, I would highly recommend upgrading to the latest 2.10.00. We have just fixed way too many issues with core PHP-Nuke to not upgrade IMO.

_________________
Only registered users can see links on this board! Get registered or login!
Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Visit poster's website
emmaphp
PostPosted: Wed Apr 18, 2007 10:34 am Reply with quote

Hitwalker...Thanks for your reply, but the information you gave did not prove to be useful to me.

The mainfile.php did not apparently contain any information as to which version of RavenNuke(tm) Distro release my website is operating with and the link you forwarded (http://www.nukeresources.com/files/BBtoNuke2022NP.zip) simply displays the following page error:


Forbidden

You don't have permission to access /files/BBtoNuke2022NP.zip on this server.
NukeZone Hosting v5.0 - No Limits Server at Only registered users can see links on this board! Get registered or login! Port 80



Montego...Thanks for your reply about confirming which version of RavenNuke(tm) Distro my website is running on. This advise was most helpful and I have confirmed that my website is using Raven's RavenNuke(tm) v2.02.02 Distro release.

Also, I understand your coments about upgrading to the latest version of the RavenNuke(tm) Distro release, (v2.10.00), but I am not sure how to do this.

More precicely, I have added a few 'modifications' to my original installation, such as new blocks and modules to my current installtion and changing some text in language files to make the website read well. So I would not want to have to reinstall the modifications and change all the language files again to ensure that these continue to operate without malfunctions. Wouldnt upgrading mean that I would have to make all these 'modifications' again?
 
hitwalker
PostPosted: Wed Apr 18, 2007 12:44 pm Reply with quote

well emmaphp,you cant have it all huh..
i guess i have disapointed you much...il leave your support requests to others to followup next time Smile....

the download address i gave you works....so no problem there,i guess your blocked somehow..

Quote:
Wouldnt upgrading mean that I would have to make all these 'modifications' again?


yes....if you have installed mods and you overwrite pages with edited text then naturally thats gone after the upgrade and you have to do it all over again..

good luck
 
emmaphp
PostPosted: Wed Apr 18, 2007 12:56 pm Reply with quote

So how does someone upgrade their website from an earlier version to a version more current?
 
montego
PostPosted: Thu Apr 19, 2007 5:19 am Reply with quote

emmaphp, I suggest you download the 2.10.00 distribution, extract it locally, and take a look at the "Upgrade" section of the HowToInstall manual. It talks about it step-by-step.

From what you have described above - granted, without knowing anything about these add-ons - here is my "take":

1) Most of these sound like strictly add-ons. As long as these have not modified core RavenNuke(tm) table structures, the task is much easier.

2) The upgrade scripts will NOT touch your existing data, except very minor things, such as the version number.

3) As with any upgrade, where you have modified a script, you will have to either a) overwrite the script and re-apply your edits (never my preference), or b) use a fine comparison / merge tool such as Winmerge or Beyond Compare 2 to keep your changes. If your only script changes were really just language files, then your job is much easier.

The details of this are in the manual.
 
emmaphp
PostPosted: Thu Apr 19, 2007 5:26 am Reply with quote

Montego!!!!!!!!!!!...................... Dance-Y ......Thank you sooooo much for that concise response!...........


Wave
 
Display posts from previous:       
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> Raven's RavenNuke(tm) v2.02.02 Distro

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©